import QuickLinkItem from './QuickItem';
import QuickLink from './QuickLink';
import BackTop from './BackTop';
import Mobile from './Mobile';
import Chat from './Chat';
import QrCode from './QrCode';
import DianShang from './DianShang';

QuickLink.BackTop = BackTop;
QuickLink.Chat = Chat;
QuickLink.Mobile = Mobile;
QuickLink.QrCode = QrCode;
QuickLink.QuickLinkItem = QuickLinkItem;
QuickLink.DianShang = DianShang;

QuickLink.install = function install(Vue) {
    Vue.component(QuickLink.name, QuickLink);
    Vue.component(BackTop.name, BackTop);
    Vue.component(Chat.name, Chat);
    Vue.component(Mobile.name, Mobile);
    Vue.component(QrCode.name, QrCode);
    Vue.component(DianShang.name, DianShang);
    Vue.component(QuickLinkItem.name, QuickLinkItem);
};

export default QuickLink;
