import getEnv from '../get-env';


describe('get-env', () => {
    test('test origin', () => {
        expect(getEnv('https://www.gaoding.com')).toEqual('production');

        expect(getEnv('http://www.gaoding.com')).toEqual('production');

        expect(getEnv('https://dev.gaoding.com')).toEqual('development');

        expect(getEnv('https://stage.gaoding.com')).toEqual('release');

        expect(getEnv('https://1dianshang.gaoding.com')).toEqual('release');

        expect(getEnv('http://dianshang.dev.gaoding.com')).toEqual('development');

        expect(getEnv('https://dianshang.dev.gaoding.com')).toEqual('development');

        expect(getEnv('http://www.gaoding.localhost')).toEqual('localhost');

        expect(getEnv('http://admin.gaoding.localhost')).toEqual('localhost');
    });
});
