export class Pagination {
    constructor(info) {
        this.size = info.size;
        this.num = info.num;
        this.total = info.total;
    }
    get hasNextPage() {
        return this.num < Math.ceil(this.total / this.size);
    }
    get hasPrePage() {
        return this.num > 1;
    }
    nextPage() {
        if (this.hasNextPage) {
            return this.num + 1;
        }
        return this.num;
    }
    prePage() {
        if (this.hasPrePage) {
            return this.num - 1;
        }
        return this.num;
    }
}
